Bug 1130326 - (CVE-2019-9936) VUL-1: CVE-2019-9936: sqlite3: running fts5 prefix queries inside a transaction could trigger a heap-based buffer over-read
(CVE-2019-9936)
VUL-1: CVE-2019-9936: sqlite3: running fts5 prefix queries inside a transacti...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/226944/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-25 08:22 UTC by Karol Babioch
Modified: 2021-04-06 18:45 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2019-03-25 08:22:47 UTC
CVE-2019-9936

In SQLite 3.27.2, running fts5 prefix queries inside a transaction could trigger
a heap-based buffer over-read in fts5HashEntrySort in sqlite3.c, which may lead
to an information leak. This is related to ext/fts5/fts5_hash.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9936
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-9936.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9936
https://sqlite.org/src/info/b3fa58dd7403dbd4
https://www.mail-archive.com/sqlite-users@mailinglists.sqlite.org/msg114382.html
https://www.mail-archive.com/sqlite-users@mailinglists.sqlite.org/msg114394.html
Comment 1 Reinhard Max 2019-04-04 11:17:36 UTC
This only affects SLE-15 and Factory, because fts5 did not yet exist in the SQLite versions on SLE-12 and older.
Comment 3 Reinhard Max 2019-04-18 13:39:15 UTC
Only SLE15 and Factory were affected.
Comment 4 Swamp Workflow Management 2019-05-02 13:09:13 UTC
SUSE-SU-2019:1127-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1130325,1130326
CVE References: CVE-2019-9936,CVE-2019-9937
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    sqlite3-3.28.0-3.6.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    sqlite3-3.28.0-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-05-10 19:14:46 UTC
openSUSE-SU-2019:1372-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1130325,1130326
CVE References: CVE-2019-9936,CVE-2019-9937
Sources used:
openSUSE Leap 15.0 (src):    sqlite3-3.28.0-lp150.2.6.1
Comment 6 Alexandros Toptsoglou 2020-04-28 15:42:48 UTC
Done